ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Roewen" <consulatewiz...@yahoo.co.nz>
Subject Java 1.4 & package javax.xml
Date Thu, 02 Jan 2003 07:54:38 GMT
Hi,

I'm unable to get Ant to compile due to a problem with it not finding the
javax.xml package, and I'm using Sun's Java 1.4.0 SDK.

Here is the main culprit of my problems:

compile:
    [javac] Compiling 1 source file to C:\...\classes
    [javac] C:\...\...\core\aiml\AimlLoader.java:3:
            package javax.xml does not exist
    [javac] import javax.xml.parsers;

BUILD FAILED

I am running Windows 2000. My ANT_HOME is set correctly (-version
and -diagnostic switches work). And my JAVA_HOME is set to C:\Java\1.4.0 and
ANT_HOME\bin is in my PATH variable.

I have multiple JDKs installed (1.1.x, 1.2.1, 1.3.1 and 1.4.0), and 1.2.1 is
my default JDK:

java -version == 1.2.1
%JAVA_HOME%\bin\java -version == 1.4.0

I'm pretty sure it's using the right JDK, as it compiles with the
java.util.prefs package (which was introduced in 1.4.0).

Help would be very much appreciated.

Jon :)



--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>


Mime
View raw message